<html>
<head>
    <meta charset = "utf-8">
    <title>
        Calculator
    </title>
    <link href="css/main.css" rel = "stylesheet">
    <script src="js/mainScript.js"></script>
    <script src="js/ControlPanel.js"></script>
    <script src="js/ImgControlPanel.js"></script>
    <!-- <script src="js/TextControlPanel.js"></script> -->
    <script src="js/SlideShowItem.js"></script>
    <script src="js/TextSlideShow.js"></script>
    <script src="js/ImgSlideShow.js"></script>
    <script src="js/Buttons.js"></script>
</head>
<body onload="bodyStart()">
    <form id="cpAnimate">
        <!-- <form name="cpAnimate" enctype="multipart/form-data" method="post"> -->
        <div id="top">
            <!-- Контейнер с бегущими строками -->
            <div id="textBox">
                <input class="textField" name = "text0" type = "text" onfocus="textGetFocus(0)" onblur="textLostFocus()"><br>
                <input class="textField" name = "text1" type = "text" onfocus="textGetFocus(1)" onblur="textLostFocus()"><br>
                <input class="textField" name = "text2" type = "text" onfocus="textGetFocus(2)" onblur="textLostFocus()">
            </div>
            <!-- Контейнер с часами                 -->
            <div id="clockBox">
                <div id="clocks"></div>
            </div>
        </div>
            
        <!-- Панель управления бегущими строками -->
        <div class="ControlPanelBlock">
            <input name="bTextStart" type="button" value="START" onclick="btnTextClicked()">
            <input name="bTextRoute" type="button" value="->" onclick="btnTextRoute()"> 
            <div id="currText">
                Запуск бегущей строки (1)
            </div>
            Скорость: 
            <input name="tSpeed" type="text" onblur="textInputSpeed()" size="3">
        </div> <br>

        <!-- Панель управления слайд-шоу -->
        <div class="ControlPanelBlock">
            <input name="bImgStart" type="button" value="START" onclick="btnImgClicked()"> 
            <input name="bImgRoute" type="button" value="->" onclick="btnImgRoute()"> 
            <div id="currImg">
                Запуск слайд-шоу (1)
                <!-- Запуск слайд-шоу 
                <input name="bImgNum" type="button" value="1" onclick="bImgNumClicked()"> -->
            </div>
            Скорость: 
            <input name="iSpeed" type="text" onblur="imgInputSpeed()" size="3" oninput="imgInputSpeed()">
            <input name="bTest" type="button" value="test" onclick="item.test()">
            <br>Введите адрес картинки<br>
            <input name="fileUrl" type="text">
            <input name="bAddFile" type="button" value="Добавить" onclick="addFile()" data-tooltip="Добавляет адрес картинки в текущий список слайд-шоу">
            <input name="bDelFile" type="button" value="del" onclick="delFile()" data-tooltip="Удалить последний элемент из текущего списка.">
        </div>
        
        <!-- Картинки и слайд-шоу -->
        <div id="imgBox">
            <div class="imgbrd" id="img0" onclick="imgClicked(0)">
                <img name = "img0"><br>
            </div>
            <div class="imgbrd" id="img1" onclick="imgClicked(1)">
                <img name = "img1"><br>
            </div>
            <div class="imgbrd" id="img2" onclick="imgClicked(2)">
                <img name = "img2">
            </div>
        </div>
    
        <br><input name="bTest" type="button" value="test slide-show" onclick="testSS()">
    </form>
</body>
</html>